Products API 개요
1688, Taobao, Weidian을 위한 통합 상품 API입니다. search/detail에는 channel을 전달하거나, 자동 감지를 위해 URL parse를 사용하세요.
가격은 CNY yuan입니다. currency 파라미터와 FX 환산은 없습니다. JSON 본문에서 language를 설정하세요(Languages). response_format: "standard"(기본값) 또는 "upstream"을 사용할 수 있습니다(Response format).
엔드포인트 가이드
| 주제 | 엔드포인트 | 문서 |
|---|---|---|
| 상품 상세 및 SKU 매트릭스 | POST /v1/products/detail | Product detail |
| 키워드 검색 | POST /v1/products/search | Product search |
| 재사용할 이미지 업로드 | POST /v1/products/upload-image | Upload image |
| 이미지로 검색 | POST /v1/products/search-by-image | Image search |
| 상품 URL Parse | POST /v1/products/parse | Parse URL |
| 응답 스키마 | — | Product response models |
| 채널, 운임, 분석 | various | Advanced endpoints |
채널 기능
실시간 플래그 조회: GET /v1/products/channels. 요약은 다음과 같습니다.
| 기능 | 1688 | Taobao | Weidian |
|---|---|---|---|
| Detail | ✓ | ✓ | ✓ |
| Keyword search | ✓ | ✓ | — |
| Image search | ✓ | ✓ | — |
| URL parse | ✓ | ✓ | ✓ |
Taobao口令 (tao_password) | — | ✓ | — |
| Domestic freight estimate | ✓ | ✓ | — |
| Auto purchase (orders) | ✓ | ✓ | Varies |
구매 매핑 {#procurement-mapping}
product detail에서 variant를 선택한 뒤 id를 order lines에 매핑합니다.
| Detail 필드 | Order 필드 |
|---|---|
source_product_id | lines[].offer_id |
variants[].sku_id | lines[].spec_id |
전체 생성 흐름은 Order preview를 참고하세요.